Рекомендация Debian по безопасности

DSA-1297-1 gforge-plugin-scmcvs -- отсутствие очистки ввода

Дата сообщения:
24.05.2007
Затронутые пакеты:
gforge-plugin-scmcvs
Уязвим:
Да
Ссылки на базы данных по безопасности:
В каталоге Mitre CVE: CVE-2007-0246.
Более подробная информация:

Бернхард Р. Линк обнаружил, что интерфейс просмотра содержимого репозиториев CVS из Gforge, инструмента для совместной работы, выполняет недостаточное экранирование URL, что позволяет выполнять произвольные команды командной оболочки с правами пользователя www-data.

Предыдущий стабильный выпуск (sarge) не подвержен данной проблеме.

В стабильном выпуске (etch) эта проблема была исправлена в версии 4.5.14-5etch1.

В нестабильном выпуске (sid) эта проблема была исправлена в версии 4.5.14-6.

Рекомендуется обновить пакет gforge-plugin-scmcvs.

Исправлено в:

Debian GNU/Linux 4.0 (etch)

Исходный код:
http://security.debian.org/pool/updates/main/g/gforge-plugin-scmcvs/gforge-plugin-scmcvs_4.5.14-5etch1.dsc
http://security.debian.org/pool/updates/main/g/gforge-plugin-scmcvs/gforge-plugin-scmcvs_4.5.14-5etch1.tar.gz
Независимые от архитектуры компоненты:
http://security.debian.org/pool/updates/main/g/gforge-plugin-scmcvs/gforge-plugin-scmcvs_4.5.14-5etch1_all.deb

Контрольные суммы MD5 этих файлов доступны в исходном сообщении.